Bug 24847 - Select AND by default in items search
Summary: Select AND by default in items search
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-11 10:59 UTC by Fridolin SOMERS
Modified: 2020-04-13 17:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24847 - select AND by default in items search (1.36 KB, patch)
2020-03-11 11:03 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 24847 - select AND by default in items search (1.42 KB, patch)
2020-03-11 11:15 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24847: Select AND by default in items search (1.48 KB, patch)
2020-03-15 13:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2020-03-11 10:59:11 UTC
In items search form, when clicking on "New field" a new conjunction and search field are added.
It would save time to select AND conjunction by default, like it is in advanced search.
Comment 1 Fridolin SOMERS 2020-03-11 11:03:01 UTC
Created attachment 100529 [details] [review]
Bug 24847 - select AND by default in items search

In items search form, when clicking on "New field" a new conjunction and search field are added.
It would save time to select AND conjunction by default, like it is in advanced search.

Test plan:
1) Go to items search
2) Click on  "New field"
3) Check that AND is selected
Comment 2 PTFS Europe Sandboxes 2020-03-11 11:15:04 UTC
Created attachment 100537 [details] [review]
Bug 24847 - select AND by default in items search

In items search form, when clicking on "New field" a new conjunction and search field are added.
It would save time to select AND conjunction by default, like it is in advanced search.

Test plan:
1) Go to items search
2) Click on  "New field"
3) Check that AND is selected

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-03-15 13:48:34 UTC
Created attachment 100696 [details] [review]
Bug 24847: Select AND by default in items search

In items search form, when clicking on "New field" a new conjunction and search field are added.
It would save time to select AND conjunction by default, like it is in advanced search.

Test plan:
1) Go to items search
2) Click on  "New field"
3) Check that AND is selected

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-03-15 13:49:06 UTC
Fixed the commit title (Bug xxx - vs. Bug xxx:)
Comment 5 Martin Renvoize 2020-03-19 09:23:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 20:24:39 UTC
backported to 19.11.x for 19.11.05
Comment 7 Lucas Gass 2020-04-13 17:19:31 UTC
not backporting enhancement to 19.05.x